## org.mortbay.cometd.ext
Class TimestampExtension

    java.lang.Object
      org.mortbay.cometd.ext.TimestampExtension

All Implemented Interfaces:
  org.cometd.Extension

    public class TimestampExtension

extends Object
implements org.cometd.Extension

Constructor Summary
`TimestampExtension()`
`TimestampExtension(String format)`
`TimestampExtension(String format, TimeZone tz)`

Method Summary
`org.cometd.Message` `rcv(org.cometd.Message message)`
`org.cometd.Message` `rcvMeta(org.cometd.Message message)`
`org.cometd.Message` `send(org.cometd.Message message)`
`org.cometd.Message` `sendMeta(org.cometd.Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimestampExtension

    public TimestampExtension()

### TimestampExtension

    public TimestampExtension(String format)

### TimestampExtension

    public TimestampExtension(String format,
                              TimeZone tz)

Method Detail

### rcv

    public org.cometd.Message rcv(org.cometd.Message message)

  Specified by:
    `rcv` in interface `org.cometd.Extension`

### rcvMeta

    public org.cometd.Message rcvMeta(org.cometd.Message message)

  Specified by:
    `rcvMeta` in interface `org.cometd.Extension`

### send

    public org.cometd.Message send(org.cometd.Message message)

  Specified by:
    `send` in interface `org.cometd.Extension`

### sendMeta

    public org.cometd.Message sendMeta(org.cometd.Message message)

  Specified by:
    `sendMeta` in interface `org.cometd.Extension`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.